import Command, { flags } from '@oclif/command';
import { IConfig } from './global';
export default abstract class extends Command {
    static flags: {
        env_user_config: flags.IOptionFlag<string | undefined>;
    };
    userConfig: {
        jira: {
            username: string;
            password: string;
            host: string;
            fields: {
                points: string;
                originalPoints: string;
                parentInitiative: string;
                parentEpic: string;
            };
        };
        teams: {
            name: string;
            jqlCompletion: string;
            jqlRemaining: string;
            jqlHistory: string;
            slack: {
                token: string;
                channel: string;
                explanation: string;
            };
        }[];
        roadmap: {
            jqlInitiatives: string;
            forecastWeeks: number;
            teams: string[];
            specsStates: string[];
        };
    };
    setUserConfig(userConfig: IConfig): void;
    init(): Promise<void>;
}
