"use strict";
// tslint:disable-next-line: file-name-casing
Object.defineProperty(exports, "__esModule", { value: true });
/*
    Returns an array of all days between two dates
*/
exports.getDaysBetweenDates = (startDate, endDate) => {
    const days = [];
    let currentDate = startDate;
    while (currentDate < endDate) {
        days.push(currentDate.toJSON().slice(0, 10));
        currentDate.setDate(currentDate.getDate() + 1);
    }
    return days;
};
/*
    Returns an array of all weeks between two dates
*/
exports.getWeeksBetweenDates = (startDate, endDate) => {
    const weeks = [];
    let currentDate = startDate;
    while (currentDate < endDate) {
        let currentMonthDay = currentDate.getDate();
        if (currentDate.getDay() !== 0) {
            currentMonthDay = currentMonthDay - currentDate.getDay();
        }
        let currentWeekYear = new Date(currentDate.getFullYear(), currentDate.getMonth(), currentMonthDay);
        if (weeks.find(w => w === currentWeekYear.toJSON().slice(0, 10)) === undefined) {
            weeks.push(currentWeekYear.toJSON().slice(0, 10));
        }
        currentDate.setDate(currentDate.getDate() + 1);
    }
    return weeks;
};
/*
    Takes a date string and returns a date mid-day
*/
exports.formatDate = (dateString) => {
    let day = new Date(dateString);
    day.setUTCHours(12);
    day.setUTCMinutes(0);
    day.setUTCSeconds(0);
    return day;
};
/* Takes a date and returns the first day of the week */
exports.startOfWeek = (date) => {
    let currentMonthDay = date.getDate();
    if (date.getDay() !== 0) {
        currentMonthDay = currentMonthDay - date.getDay();
    }
    const currentWeekYear = new Date(date.getFullYear(), date.getMonth(), currentMonthDay);
    return currentWeekYear;
};
