"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
// tslint:disable-next-line: file-name-casing
const fs = require("fs");
const path = require("path");
const readline = require("readline");
const stream = require("stream");
const teamUtils_1 = require("../misc/teamUtils");
const teamVelocityFromCache = async (userConfig, cacheDir) => {
    var e_1, _a;
    const teamsVelocity = [];
    for (const team of userConfig.teams) {
        const teamCacheFile = path.join(cacheDir, 'velocity-artifacts-' + teamUtils_1.getTeamId(team.name) + '.json');
        if (fs.existsSync(teamCacheFile)) {
            const input = fs.createReadStream(teamCacheFile);
            try {
                for (var _b = tslib_1.__asyncValues(readLines(input)), _c; _c = await _b.next(), !_c.done;) {
                    const line = _c.value;
                    teamsVelocity.push({
                        team: team.name,
                        velocity: JSON.parse(line).health.weeks.velocity
                    });
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) await _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
    }
    return teamsVelocity;
};
exports.default = teamVelocityFromCache;
//https://medium.com/@wietsevenema/node-js-using-for-await-to-read-lines-from-a-file-ead1f4dd8c6f
const readLines = (input) => {
    const output = new stream.PassThrough({ objectMode: true });
    const rl = readline.createInterface({ input });
    rl.on('line', line => {
        output.write(line);
    });
    rl.on('close', () => {
        output.push(null);
    });
    return output;
};
